diff --git a/dev-vcs/subversion-java/Manifest b/dev-vcs/subversion-java/Manifest
index 59a2ccbce..2b8a9a06f 100644
--- a/dev-vcs/subversion-java/Manifest
+++ b/dev-vcs/subversion-java/Manifest
@@ -1,2 +1,3 @@
-DIST subversion-1.7.13.tar.bz2 6043884 SHA256 e07b3b8559b7b74f8d8fd602424bfc9e4eef95b4ca415eab98a25439d97fe2e9 SHA512 85ebd0532959f98f71da1dfac77ac9e424a46d9327ec426854798a3c1f2897c5e515f76ee81e08514d05af5715cdc74d92504072bd19627d22d27574d5d9b5e4 WHIRLPOOL 234338ab9ee71fb15fda567a5e7c982180f4bf47bef2d47ef23bc8d131aee2a7409e413f04ecd29aa2e5425daf765e7ace2969cbf1bd53a5f705499908772ee2
DIST subversion-1.7.14.tar.bz2 6045932 SHA256 c4ac8f37eb0ebd38901bfa6f1c7e4d7716d32d7460ee0cee520381ca2f5b120d SHA512 cc7df3a2d258cda65a3fefc1fb9bcc91f78ec817c8d32e561eae7cf59de3d1d5c843594150b63c60c724e4b3df88da319763f814f418d106461adcc78b323840 WHIRLPOOL 21d879775ed0bed15d17b83070eb26269f8d3cc0420be54e0d326b7b6f410b9fee11d2f8d2926f930c66c66a47a6396275ddf20120436b978c0a318bb963f0e0
+DIST subversion-1.8.5-Gentoo-patches.tar.gz 2904 SHA256 6ddf6a5b5e5cd2a466d5d3a03bf7990f027e8454a55429e9462239047f56a33b SHA512 3ab1c3af45d2c8639de1e87f68f0a775da051a455895cce32566e3e9e76b7ca6bbe648b5d55cbc74b98c78e95699ea21d20662d70e30a3c95c845a75a9ce6233 WHIRLPOOL 23f063ea3b29bed0796deafb382261925170b0a7b19acab3316147e0d991254d2e27d49ed0079e45a6e6e015e02b33dab93735a4e31247e52674b3e97d70ace0
+DIST subversion-1.8.5.tar.bz2 6881572 SHA256 fd522bf1ecda1c09426ed6c436f0744ab95c31702b0904add089864c73ee7564 SHA512 1a7f19c2ea09c16f66cefef2454e8650f92caac0c505b83e52b32d51ccfece07d5623a26ee7b728c1c4c1bc6c5240cc2b5d65f9aab661d1094c04ed13339b1f6 WHIRLPOOL 89c3b5ea9f4bfe70a05d412a87f278ce74fdcb4b1fdad4905c60729f4a4e01c3a895178313a26358b2e5ab280f9fa8fd5c81c68af6f027d313b40ebcbcb5c3e0
diff --git a/dev-vcs/subversion-java/subversion-java-1.7.13.ebuild b/dev-vcs/subversion-java/subversion-java-1.8.5.ebuild
similarity index 86%
rename from dev-vcs/subversion-java/subversion-java-1.7.13.ebuild
rename to dev-vcs/subversion-java/subversion-java-1.8.5.ebuild
index 8b3f0cae7..4a245b4e0 100644
--- a/dev-vcs/subversion-java/subversion-java-1.7.13.ebuild
+++ b/dev-vcs/subversion-java/subversion-java-1.8.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -12,11 +12,12 @@ MY_SVN_PF="${MY_SVN_PN}-${PVR}"
MY_SVN_CATEGORY="${CATEGORY}"
# note: java-pkg-2, not java-pkt-opt-2
-inherit autotools eutils flag-o-matic java-pkg-2 libtool multilib
+SAB_PATCHES_SRC=( mirror://sabayon/dev-vcs/${MY_SVN_PN}-1.8.5-Gentoo-patches.tar.gz )
+inherit sab-patches autotools eutils flag-o-matic java-pkg-2 libtool multilib
DESCRIPTION="Java bindings for Subversion"
HOMEPAGE="http://subversion.apache.org/"
-SRC_URI="mirror://apache/${PN}/${MY_SVN_P}.tar.bz2"
+SRC_URI+=" mirror://apache/${PN}/${MY_SVN_P}.tar.bz2"
S="${WORKDIR}/${MY_SVN_P/_/-}"
LICENSE="Subversion"
@@ -28,6 +29,7 @@ IUSE="debug doc nls"
COMMON_DEPEND="~dev-vcs/subversion-${PV}"
RDEPEND="
${COMMON_DEPEND}
+ app-arch/bzip2
>=virtual/jre-1.5"
DEPEND="${COMMON_DEPEND}
>=virtual/jdk-1.5"
@@ -38,12 +40,12 @@ pkg_setup() {
if use debug; then
append-cppflags -DSVN_DEBUG -DAP_DEBUG
fi
+ # http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3C51C42014.3060700@wandisco.com%3E
+ [[ ${CHOST} == *-solaris2* ]] && append-cppflags -D__EXTENSIONS__
}
src_prepare() {
- epatch "${FILESDIR}"/${MY_SVN_PN}-1.5.4-interix.patch \
- "${FILESDIR}"/${MY_SVN_PN}-1.5.6-aix-dso.patch \
- "${FILESDIR}"/${MY_SVN_PN}-1.6.3-hpux-dso.patch
+ sab-patches_apply_all
epatch_user
fperms +x build/transform_libtool_scripts.sh
@@ -69,12 +71,6 @@ src_configure() {
myconf+=" --without-swig"
myconf+=" --without-junit"
- if use nls; then
- myconf+=" --enable-nls"
- else
- myconf+=" --disable-nls"
- fi
-
case ${CHOST} in
*-aix*)
# avoid recording immediate path to sharedlibs into executables
@@ -108,6 +104,7 @@ src_configure() {
myconf+=" --disable-disallowing-of-undefined-references"
econf --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --without-apache-libexecdir \
--without-apxs \
--without-berkeley-db \
--without-ctypesgen \
@@ -116,8 +113,8 @@ src_configure() {
--enable-javahl \
--with-jdk="${JAVA_HOME}" \
--without-kwallet \
+ $(use_enable nls) \
--without-sasl \
- --without-neon \
--without-serf \
${myconf} \
--with-apr="${EPREFIX}/usr/bin/apr-1-config" \
@@ -125,7 +122,6 @@ src_configure() {
--disable-experimental-libtool \
--without-jikes \
--disable-mod-activation \
- --disable-neon-version-check \
--disable-static
}
diff --git a/dev-vcs/subversion/Manifest b/dev-vcs/subversion/Manifest
index 59a2ccbce..2b8a9a06f 100644
--- a/dev-vcs/subversion/Manifest
+++ b/dev-vcs/subversion/Manifest
@@ -1,2 +1,3 @@
-DIST subversion-1.7.13.tar.bz2 6043884 SHA256 e07b3b8559b7b74f8d8fd602424bfc9e4eef95b4ca415eab98a25439d97fe2e9 SHA512 85ebd0532959f98f71da1dfac77ac9e424a46d9327ec426854798a3c1f2897c5e515f76ee81e08514d05af5715cdc74d92504072bd19627d22d27574d5d9b5e4 WHIRLPOOL 234338ab9ee71fb15fda567a5e7c982180f4bf47bef2d47ef23bc8d131aee2a7409e413f04ecd29aa2e5425daf765e7ace2969cbf1bd53a5f705499908772ee2
DIST subversion-1.7.14.tar.bz2 6045932 SHA256 c4ac8f37eb0ebd38901bfa6f1c7e4d7716d32d7460ee0cee520381ca2f5b120d SHA512 cc7df3a2d258cda65a3fefc1fb9bcc91f78ec817c8d32e561eae7cf59de3d1d5c843594150b63c60c724e4b3df88da319763f814f418d106461adcc78b323840 WHIRLPOOL 21d879775ed0bed15d17b83070eb26269f8d3cc0420be54e0d326b7b6f410b9fee11d2f8d2926f930c66c66a47a6396275ddf20120436b978c0a318bb963f0e0
+DIST subversion-1.8.5-Gentoo-patches.tar.gz 2904 SHA256 6ddf6a5b5e5cd2a466d5d3a03bf7990f027e8454a55429e9462239047f56a33b SHA512 3ab1c3af45d2c8639de1e87f68f0a775da051a455895cce32566e3e9e76b7ca6bbe648b5d55cbc74b98c78e95699ea21d20662d70e30a3c95c845a75a9ce6233 WHIRLPOOL 23f063ea3b29bed0796deafb382261925170b0a7b19acab3316147e0d991254d2e27d49ed0079e45a6e6e015e02b33dab93735a4e31247e52674b3e97d70ace0
+DIST subversion-1.8.5.tar.bz2 6881572 SHA256 fd522bf1ecda1c09426ed6c436f0744ab95c31702b0904add089864c73ee7564 SHA512 1a7f19c2ea09c16f66cefef2454e8650f92caac0c505b83e52b32d51ccfece07d5623a26ee7b728c1c4c1bc6c5240cc2b5d65f9aab661d1094c04ed13339b1f6 WHIRLPOOL 89c3b5ea9f4bfe70a05d412a87f278ce74fdcb4b1fdad4905c60729f4a4e01c3a895178313a26358b2e5ab280f9fa8fd5c81c68af6f027d313b40ebcbcb5c3e0
diff --git a/dev-vcs/subversion/metadata.xml b/dev-vcs/subversion/metadata.xml
index 055893625..8e415516a 100644
--- a/dev-vcs/subversion/metadata.xml
+++ b/dev-vcs/subversion/metadata.xml
@@ -9,6 +9,7 @@
Build and install Ctypes Python bindings
Enable runtime module search
Install extra scripts (examples, tools, hooks)
+ Enable http support using net-libs/serf
Enable WebDAV support using net-libs/neon
Enable WebDAV support using net-libs/serf
diff --git a/dev-vcs/subversion/subversion-1.7.13.ebuild b/dev-vcs/subversion/subversion-1.8.5.ebuild
similarity index 87%
rename from dev-vcs/subversion/subversion-1.7.13.ebuild
rename to dev-vcs/subversion/subversion-1.8.5.ebuild
index 1e1632871..b1a63c597 100644
--- a/dev-vcs/subversion/subversion-1.7.13.ebuild
+++ b/dev-vcs/subversion/subversion-1.8.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -6,36 +6,38 @@ EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
DISTUTILS_OPTIONAL=1
WANT_AUTOMAKE="none"
+GENTOO_DEPEND_ON_PERL="no"
+
+SAB_PATCHES_SRC=( mirror://sabayon/dev-vcs/${PN}-1.8.5-Gentoo-patches.tar.gz )
+inherit sab-patches autotools bash-completion-r1 db-use depend.apache distutils-r1 elisp-common flag-o-matic libtool multilib perl-module eutils
+
MY_P="${P/_/-}"
-
-inherit autotools bash-completion-r1 db-use depend.apache distutils-r1 elisp-common flag-o-matic libtool multilib perl-module eutils
-
DESCRIPTION="Advanced version control system"
HOMEPAGE="http://subversion.apache.org/"
-SRC_URI="mirror://apache/${PN}/${MY_P}.tar.bz2"
+SRC_URI+=" mirror://apache/${PN}/${MY_P}.tar.bz2"
S="${WORKDIR}/${MY_P}"
LICENSE="Subversion GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
-IUSE="apache2 berkdb ctypes-python debug doc +dso extras gnome-keyring java kde nls perl python ruby sasl test vim-syntax +webdav-neon webdav-serf"
+IUSE="apache2 berkdb ctypes-python debug doc +dso extras gnome-keyring +http java kde nls perl python ruby sasl test vim-syntax"
-COMMON_DEPEND=">=dev-db/sqlite-3.4[threadsafe(+)]
+COMMON_DEPEND=">=dev-db/sqlite-3.7.12
>=dev-libs/apr-1.3:1
>=dev-libs/apr-util-1.3:1
dev-libs/expat
sys-libs/zlib
+ app-arch/bzip2
berkdb? ( >=sys-libs/db-4.0.14 )
ctypes-python? ( ${PYTHON_DEPS} )
gnome-keyring? ( dev-libs/glib:2 sys-apps/dbus gnome-base/gnome-keyring )
kde? ( sys-apps/dbus dev-qt/qtcore:4 dev-qt/qtdbus:4 dev-qt/qtgui:4 >=kde-base/kdelibs-4:4 )
perl? ( dev-lang/perl )
python? ( ${PYTHON_DEPS} )
- ruby? ( >=dev-lang/ruby-1.8.2:1.8
- dev-ruby/rubygems[ruby_targets_ruby18] )
+ ruby? ( >=dev-lang/ruby-1.9.3:1.9
+ dev-ruby/rubygems[ruby_targets_ruby19] )
sasl? ( dev-libs/cyrus-sasl )
- webdav-neon? ( >=net-libs/neon-0.28 )
- webdav-serf? ( >=net-libs/serf-0.3.0 )"
+ http? ( >=net-libs/serf-1.2.1 )"
RDEPEND="${COMMON_DEPEND}
apache2? ( www-servers/apache[apache2_modules_dav] )
kde? ( kde-base/kwalletd )
@@ -50,7 +52,7 @@ DEPEND="${COMMON_DEPEND}
gnome-keyring? ( virtual/pkgconfig )
kde? ( virtual/pkgconfig )
nls? ( sys-devel/gettext )
- webdav-neon? ( virtual/pkgconfig )"
+ http? ( virtual/pkgconfig )"
PDEPEND="java? ( ~dev-vcs/subversion-java-${PV} )"
REQUIRED_USE="
@@ -89,11 +91,10 @@ pkg_setup() {
depend.apache_pkg_setup
- if ! use webdav-neon && ! use webdav-serf; then
+ if ! use http ; then
ewarn "WebDAV support is disabled. You need WebDAV to"
ewarn "access repositories through the HTTP protocol."
- ewarn "Consider enabling one of the following USE-flags:"
- ewarn " webdav-neon webdav-serf"
+ ewarn "Consider enabling \"http\" USE flag"
echo -ne "\a"
fi
@@ -101,15 +102,15 @@ pkg_setup() {
append-cppflags -DSVN_DEBUG -DAP_DEBUG
fi
+ # http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3C51C42014.3060700@wandisco.com%3E
+ [[ ${CHOST} == *-solaris2* ]] && append-cppflags -D__EXTENSIONS__
+
# Allow for custom repository locations.
SVN_REPOS_LOC="${SVN_REPOS_LOC:-${EPREFIX}/var/svn}"
}
src_prepare() {
- epatch "${FILESDIR}"/${PN}-1.5.4-interix.patch \
- "${FILESDIR}"/${PN}-1.5.6-aix-dso.patch \
- "${FILESDIR}"/${PN}-1.6.3-hpux-dso.patch \
- "${FILESDIR}"/${PN}-fix-parallel-build-support-for-perl-bindings.patch
+ sab-patches_apply_all
epatch_user
fperms +x build/transform_libtool_scripts.sh
@@ -129,6 +130,14 @@ src_prepare() {
-i build-outputs.mk || die "sed failed"
if use python; then
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # http://mail-archives.apache.org/mod_mbox/subversion-dev/201306.mbox/%3C20130614113003.GA19257@tarsus.local2%3E
+ # in short, we don't have gnome-keyring stuff here, patch
+ # borrowed from MacPorts
+ die "Darwin not supported; use Gentoo ebuild" # no need to bother with the patch for our needs
+ #epatch "${FILESDIR}"/${P}-swig-python-no-gnome-keyring.patch
+ fi
+
# XXX: make python_copy_sources accept path
S=${S}/subversion/bindings/swig/python python_copy_sources
rm -r "${S}"/subversion/bindings/swig/python || die
@@ -144,12 +153,6 @@ src_configure() {
myconf+=" --without-swig"
fi
- if use kde || use nls; then
- myconf+=" --enable-nls"
- else
- myconf+=" --disable-nls"
- fi
-
case ${CHOST} in
*-aix*)
# avoid recording immediate path to sharedlibs into executables
@@ -187,11 +190,18 @@ src_configure() {
python_export_best
fi
+ if use python && [[ ${CHOST} == *-darwin* ]] ; then
+ export ac_cv_python_link="$(tc-getCC) "'$(PYTHON_CFLAGS) -bundle -undefined dynamic_lookup $(PYTHON_LIBS)'
+ export ac_cv_python_libs='$(PYTHON_CFLAGS) -bundle -undefined dynamic_lookup $(PYTHON_LIBS)'
+ export ac_cv_python_compile="$(tc-getCC)"
+ fi
+
#force ruby-1.8 for bug 399105
#allow overriding Python include directory
- ac_cv_path_RUBY="${EPREFIX}"/usr/bin/ruby18 ac_cv_path_RDOC="${EPREFIX}"/usr/bin/rdoc18 \
+ ac_cv_path_RUBY="${EPREFIX}"/usr/bin/ruby19 ac_cv_path_RDOC="${EPREFIX}"/usr/bin/rdoc19 \
ac_cv_python_includes='-I$(PYTHON_INCLUDEDIR)' \
econf --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ $(use_with apache2 apache-libexecdir) \
$(use_with apache2 apxs "${APXS}") \
$(use_with berkdb berkeley-db "db.h:${EPREFIX}/usr/include/db${SVN_BDB_VERSION}::db-${SVN_BDB_VERSION}") \
$(use_with ctypes-python ctypesgen "${EPREFIX}/usr") \
@@ -199,16 +209,15 @@ src_configure() {
$(use_with gnome-keyring) \
--disable-javahl \
$(use_with kde kwallet) \
+ $(use_enable nls) \
$(use_with sasl) \
- $(use_with webdav-neon neon) \
- $(use_with webdav-serf serf "${EPREFIX}/usr") \
+ $(use_with http serf) \
${myconf} \
--with-apr="${EPREFIX}/usr/bin/apr-1-config" \
--with-apr-util="${EPREFIX}/usr/bin/apu-1-config" \
--disable-experimental-libtool \
--without-jikes \
--disable-mod-activation \
- --disable-neon-version-check \
--disable-static
}
diff --git a/www-apache/mod_dav_svn/Manifest b/www-apache/mod_dav_svn/Manifest
index 05d39d95a..deed9e23a 100644
--- a/www-apache/mod_dav_svn/Manifest
+++ b/www-apache/mod_dav_svn/Manifest
@@ -1,3 +1,4 @@
-DIST subversion-1.7.13.tar.bz2 6043884 SHA256 e07b3b8559b7b74f8d8fd602424bfc9e4eef95b4ca415eab98a25439d97fe2e9 SHA512 85ebd0532959f98f71da1dfac77ac9e424a46d9327ec426854798a3c1f2897c5e515f76ee81e08514d05af5715cdc74d92504072bd19627d22d27574d5d9b5e4 WHIRLPOOL 234338ab9ee71fb15fda567a5e7c982180f4bf47bef2d47ef23bc8d131aee2a7409e413f04ecd29aa2e5425daf765e7ace2969cbf1bd53a5f705499908772ee2
DIST subversion-1.7.14.tar.bz2 6045932 SHA256 c4ac8f37eb0ebd38901bfa6f1c7e4d7716d32d7460ee0cee520381ca2f5b120d SHA512 cc7df3a2d258cda65a3fefc1fb9bcc91f78ec817c8d32e561eae7cf59de3d1d5c843594150b63c60c724e4b3df88da319763f814f418d106461adcc78b323840 WHIRLPOOL 21d879775ed0bed15d17b83070eb26269f8d3cc0420be54e0d326b7b6f410b9fee11d2f8d2926f930c66c66a47a6396275ddf20120436b978c0a318bb963f0e0
DIST subversion-1.7.7-Gentoo-patches.tar.gz 2035 SHA256 2e4ee343fb0ed56c9488f3de808133ebbbfb697a717251616d391c1b6268e8c1 SHA512 ab5810639cdd7fa7454b1b8dfc159e221c4ab276b5ac76502ef0c32512839cc0f2d776c98aeac30fe99946a7ab68c1d489a93ec8a4cf74961e1c0c29649e3425 WHIRLPOOL ce7d66223f6c632ebdbb0b3d272cb66e7122cf3aaabbb78081fccce6ad4e266221294130da904abe8c963e9bf4014fce3cec2c3b88e84201b244104cc9748d03
+DIST subversion-1.8.5-Gentoo-patches.tar.gz 2904 SHA256 6ddf6a5b5e5cd2a466d5d3a03bf7990f027e8454a55429e9462239047f56a33b SHA512 3ab1c3af45d2c8639de1e87f68f0a775da051a455895cce32566e3e9e76b7ca6bbe648b5d55cbc74b98c78e95699ea21d20662d70e30a3c95c845a75a9ce6233 WHIRLPOOL 23f063ea3b29bed0796deafb382261925170b0a7b19acab3316147e0d991254d2e27d49ed0079e45a6e6e015e02b33dab93735a4e31247e52674b3e97d70ace0
+DIST subversion-1.8.5.tar.bz2 6881572 SHA256 fd522bf1ecda1c09426ed6c436f0744ab95c31702b0904add089864c73ee7564 SHA512 1a7f19c2ea09c16f66cefef2454e8650f92caac0c505b83e52b32d51ccfece07d5623a26ee7b728c1c4c1bc6c5240cc2b5d65f9aab661d1094c04ed13339b1f6 WHIRLPOOL 89c3b5ea9f4bfe70a05d412a87f278ce74fdcb4b1fdad4905c60729f4a4e01c3a895178313a26358b2e5ab280f9fa8fd5c81c68af6f027d313b40ebcbcb5c3e0
diff --git a/www-apache/mod_dav_svn/mod_dav_svn-1.7.13.ebuild b/www-apache/mod_dav_svn/mod_dav_svn-1.8.5.ebuild
similarity index 84%
rename from www-apache/mod_dav_svn/mod_dav_svn-1.7.13.ebuild
rename to www-apache/mod_dav_svn/mod_dav_svn-1.8.5.ebuild
index f685c5456..bb947ef99 100644
--- a/www-apache/mod_dav_svn/mod_dav_svn-1.7.13.ebuild
+++ b/www-apache/mod_dav_svn/mod_dav_svn-1.8.5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -10,23 +10,23 @@ MY_SVN_PN="subversion"
MY_SVN_P="${MY_SVN_PN}-${PV}"
MY_SVN_PF="${MY_SVN_PN}-${PVR}"
-inherit autotools db-use depend.apache flag-o-matic libtool multilib eutils
+SAB_PATCHES_SRC=( mirror://sabayon/dev-vcs/${MY_SVN_PN}-1.8.5-Gentoo-patches.tar.gz )
+inherit sab-patches autotools db-use depend.apache flag-o-matic libtool multilib eutils
DESCRIPTION="Subversion WebDAV support"
HOMEPAGE="http://subversion.apache.org/"
-SRC_URI="mirror://apache/${MY_SVN_PN}/${MY_SVN_P}.tar.bz2
- mirror://sabayon/dev-vcs/${MY_SVN_PN}-1.7.7-Gentoo-patches.tar.gz"
+SRC_URI+=" mirror://apache/${MY_SVN_PN}/${MY_SVN_P}.tar.bz2"
S="${WORKDIR}/${MY_SVN_P}"
LICENSE="Subversion"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
-IUSE="berkdb debug +dso nls sasl +webdav-neon webdav-serf"
-# w/o: apache2 ctypes-python doc extras gnome-keyring java kde perl python ruby
-# vim-syntax
+IUSE="berkdb debug +dso nls sasl"
+# w/o: ctypes-python doc extras gnome-keyring java kde perl python ruby
+# test vim-syntax; implicit: apache2, http
# This is an ebuild that provides mod_dav_svn and friends (it does more or
-# less the same as when USE=apache2 is added to dev-vcs/subversion - basically
+# less the same as when USE="apache2 http" is added to dev-vcs/subversion - basically
# provides three Apache modules and a configuration file), suitable for binary
# packages.
# Some flags in IUSE and their handling are only used to enforce the code be
@@ -41,20 +41,21 @@ IUSE="berkdb debug +dso nls sasl +webdav-neon webdav-serf"
# variable specific to www-apache/mod_dav_svn
MY_CDEPS="
- ~dev-vcs/subversion-${PV}[berkdb=,debug=,dso=,nls=,sasl=,webdav-neon=,webdav-serf=]
- >=dev-db/sqlite-3.4[threadsafe(+)]
+ ~dev-vcs/subversion-${PV}[berkdb=,debug=,dso=,nls=,sasl=,http]
+ >=dev-db/sqlite-3.7.12
>=dev-libs/apr-1.3:1
>=dev-libs/apr-util-1.3:1
dev-libs/expat
- sys-apps/file
+ app-arch/bzip2
sys-libs/zlib
+ app-arch/bzip2
berkdb? ( >=sys-libs/db-4.0.14 )
"
DEPEND="${MY_CDEPS}
sasl? ( dev-libs/cyrus-sasl )
- webdav-neon? ( >=net-libs/neon-0.28 virtual/pkgconfig )
- webdav-serf? ( >=net-libs/serf-0.3.0 )
+ >=net-libs/serf-1.2.1
+ virtual/pkgconfig
!!